# Environnement pour le cours Compilation CSC4251-4252 (ex CSC4536)

#### Utilisation simple
- Ajouter dans son environnement de travail la variable d'environnement
 `LIBCOMPIL` avec le chemin vers ce directory.
- Ajouter `${LIBCOMPIL}/bin` dans la variable `PATH`
- Exemples 
    - `~/.bashrc` : `export LIBCOMPIL=~/Compil/LibCompil; export PATH=${LIBCOMPIL}/bin:$PATH`
    - `~/.cshrc` : `setenv LIBCOMPIL ~/Compil/LibCompil; set path = (${LIBCOMPIL}/bin $path)`

- Utiliser les raccourcis de commandes de `./bin` :
    - `Compil-new-jflex monLexer` =>  Arborescence pour projet JFlex Alone
    - `Compil-new-cup monParser` => Arborescence pour projet JFlex + CUP
    - `Compil-link-lib` => Crestion lien ./lib vers les librairies JFlex/CUP  (inclus dans Compil-new-cup)
    - `Compil-copy-spec old new`  => Recopie old.jflex et old.cup en new.jflex et new.cup
    - `Compil-run-parse` => Exécute l'analyseur syntaxique (classe CupParse et runtime java-cup)
    - `Compil-run-minijava` => Exécute le compilateur minijava (classe main/Compiler et runtime java-cup)
    - `jflex`, `cup`, `mars` : Raccourcis pour les outils JFlex, CUP, MARS
    
- Découvrir le reste avec `make` ou `ant`

#### Contenu
- `./bin` Quelques commandes pratiques
- `./lib` Librairies `jar` des outils JFlex, CUP et MARS
- `./editor`  Modes JFlex pour éditeurs emacs ou vim
- `./proto-jflex` Squelette de projet JFlex (cf Compil-new-jflex)
- `./proto-cup` Squelette de projet CUP + JFlex (cf Compil-new-cup)
