/** Noeud AST générique "non typée" (== CST). */
public class Ast extends AstNode {
  /** Juste un label. */
  public final String label;

  /** Le Constructeur. */
  public Ast(final String label, final AstNode... fils) {
    super(fils);
    this.label = label;
  }

  public void accept(final AstVisitor v) { v.visit(this); }

  @Override
  public String toString() { return label; }
}
