//package syntax.ast;

/** Interface Visiteur pour l'AST Minijava. */
public interface AstVisitor {
  /** Visite une liste de nœuds homogénes.
   * @param <T> le type commun des fils
   * @param n le nœud visité */
  <T extends AstNode> void visit(AstList<T> n);

  /** Visite Ast générique.
  * @param n Le nœud visité */
  void visit(Ast n);

  /* ... */
}
