// package Compilation;
// import java.io.*;
%% 
%include Jflex.include

%{     /* code dans la classe : attributs et méthodes utiles pour les actions */
%}

%init{ /* code dans le constructeur : action initiale */
System.out.println("Analyse Lexicale Sample0 (type any text) :");
%init}

%eof{  /* code en action final */
System.out.println("Bye!");
%eof}

// %caseless            /* confondre minuscules/majuscules   */
// %state   ETAT, ETAT2 /* États inclusifs du super-automate */
// %xstate  STATE       /* États exclusifs du super-automate */

ANY   = [^]
BLANC = [ \t]

%% 
[a-zA-Z] [a-zA-Z0-9]* { ECHO("ID");  }
{BLANC}+              { /* ignore */ }
\R                    { ECHO();      }
{ANY}                 { /* ignore */ }
{ANY}                 { WARN("Invalid char '" + yytext() + "'"); }
